use super::schema::api_kgon_balances;

///
#[derive(Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "api_kgon_balances"]
pub struct Balance {
  ///
  pub id: i32,
  ///
  pub balance: f64,
  ///
  pub balance_bota: f64,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "api_kgon_balances"]
pub struct NewBalance {
  ///
  pub balance: f64,
  ///
  pub balance_bota: f64,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "api_kgon_balances"]
pub struct ModifyBalance {
  ///
  pub balance: f64,
  ///
  pub balance_bota: f64,
}
